Subject: bug#27067: Feature request: please allow for either automatic logging of all output of every guix commands or add an option to each guix command to allow it for all to be logged

From: Brenton Horne <[email-masked]>
Date: Thu, 25 May 2017 17:54:12 +1000

Hi,

As I understand it only the guix build command has an option to log output
to a file. I would like to request that each guix command have the option
at least (if not automatic like it is for Gentoo's Portage package manager)
to log all output to a file. I believe this will help both users and
developers deal with bugs and alike in the package manager. I realize
people can already log all output using redirection like with:

COMMAND > output.log 2>&1

but with this method no output is shown at the command-line so users can't
track what guix is doing in real-time.

Thanks for your time,
Brenton